# Class SpaceGroupFinder

java.lang.Object
org.jmol.symmetry.SpaceGroupFinder

public class SpaceGroupFinder extends Object
A relatively simple space group finder given a unit cell. The unit cell is used to reduce the options involving hexagonal, tetragonal, and cubic groups. See https://stokes.byu.edu/iso/findsymform.php for finding the space group given no unit cell information.

## Constructor Summary

Constructors
Constructor
Description
`SpaceGroupFinder()`

## Method Summary

Modifier and Type
Method
Description
`Symmetry`
`checkSupercell(Viewer vwr, Symmetry uc, BS bsPoints, int abc, P3 scaling)`
Look for a supercell and adjust lattice down if necessary.
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpaceGroupFinder

public SpaceGroupFinder()

## Method Details

### checkSupercell

public Symmetry checkSupercell(Viewer vwr, Symmetry uc, BS bsPoints, int abc, P3 scaling)
Look for a supercell and adjust lattice down if necessary.

Parameters:
  `vwr` -
  `uc` -
  `bsPoints` -
  `abc` - 1==a, 2==b, 3==c
  `scaling` - set to [na, nb, nc]
Returns:
  revised unit cell

### main

public static void main(String[] args)